---
lang: en
title: 'API docs: security.subject.principals'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/security
permalink: /doc/en/lb4/apidocs.security.subject.principals.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/security](./security.md) &gt; [Subject](./security.subject.md) &gt; [principals](./security.subject.principals.md)

## Subject.principals property

An array of principals. It can include information about the current user, the client application, and granted authorities.

`Subject` represents both security state and operations for a single application user.

Such operations include: - authentication (login) - authorization (access control) - session access - logout

**Signature:**

```typescript
principals: Set<TypedPrincipal>;
```

